Package org.eclipse.ui.texteditor.spelling

## Interface IPreferenceStatusMonitor

    public interface IPreferenceStatusMonitor

A monitor that can be notified about status changes.

This interface is intended to be implemented by clients.

Since:
  3.1
See Also:
  `ISpellingPreferenceBlock.initialize(IPreferenceStatusMonitor)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `statusChanged​(IStatus status)` Notifies this monitor that the preference page's status has changed the given status.

### Method Detail

#### statusChanged

    void statusChanged​(IStatus status)

Notifies this monitor that the preference page's status has changed the given status.

Parameters:
  `status` - the new status